import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { Pop3MenuService } from '../../services';
import { Element } from '@angular/compiler';
var Pop3MenuComponent = /** @class */ (function () {
    /**
     * Component constructor with injected dependencies.
     * @param pop3MenuService
     */
    function Pop3MenuComponent(pop3MenuService) {
        this.pop3MenuService = pop3MenuService;
    }
    /**
     * Implements onInit event handler.
     */
    /**
       * Implements onInit event handler.
       */
    Pop3MenuComponent.prototype.ngOnInit = /**
       * Implements onInit event handler.
       */
    function () {
        Pop3MenuComponent.menuList = this.pop3MenuService.getMenuList();
        Pop3MenuComponent.userLoggedIn = this.pop3MenuService.isUserLoggedIn();
    };
    Pop3MenuComponent.menuList = [];
    Pop3MenuComponent.userLoggedIn = false;
    Pop3MenuComponent.decorators = [
        { type: Component, args: [{
                    selector: 'pop3-menu',
                    template: "\n    <nav class=\"navbar navbar-default\">\n      <div class=\"container-fluid\">\n\n        <div class=\"navbar-header\">\n          <a href=\"/public/\" onclick=\"window.location.reload()\">POP</a>\n        </div>\n\n        <div class=\"collapse navbar-collapse\">\n          <ul class=\"nav navbar-nav\">\n            <!--\n              Entry Date: 20171218\n              There is a bug when using NgIf and NgFor on modules using ng-packagr\n              ERROR Error: StaticInjectorError[ViewContainerRef]\n              https://github.com/dherges/ng-packagr/issues/304\n            -->\n            <!--<li *ngFor=\"let menu of menuList\" routerLinkActive=\"active\" class=\"ptCursor1\">-->\n              <!--<a [href]=\"menu.path\" [textContent]=\"menu.name\" onclick=\"window.location.reload()\"></a>-->\n            <!--</li>-->\n            <li routerLinkActive=\"active\" class=\"ptCursor1\">\n              <a href=\"/global/\" onclick=\"window.location.reload()\">Global</a>\n            </li>\n            <li routerLinkActive=\"active\" class=\"ptCursor1\">\n              <a href=\"/admin/\" onclick=\"window.location.reload()\">Admin</a>\n            </li>\n          </ul>\n          <ul class=\"nav navbar-nav navbar-right\">\n            <li class=\"dropdown ptCursor1\" pop3MenuDropdown>\n              <a class=\"dropdown-toggle\" role=\"button\">User <span class=\"caret\"></span></a>\n              <!--\n                Entry Date: 20171218\n                There is a bug when using NgIf and NgFor on modules using ng-packagr\n                ERROR Error: StaticInjectorError[ViewContainerRef]\n                https://github.com/dherges/ng-packagr/issues/304\n              -->\n              <!--<ul *ngIf=\"!userLoggedIn\" class=\"dropdown-menu\">-->\n              <ul class=\"dropdown-menu\">\n                <li routerLinkActive=\"active\"><a href=\"/user/login/\" onclick=\"window.location.reload()\">Log In</a></li>\n                <li routerLinkActive=\"active\"><a href=\"/user/register/\" onclick=\"window.location.reload()\">Register</a></li>\n              <!--</ul>-->\n              <!--<ul *ngIf=\"userLoggedIn\" class=\"dropdown-menu\">-->\n                <li routerLinkActive=\"active\"><a href=\"/user/logout/\" onclick=\"window.location.reload()\">Log Out</a></li>\n                <li routerLinkActive=\"active\"><a href=\"/user/profile/\" onclick=\"window.location.reload()\">Profile</a></li>\n              </ul>\n            </li>\n          </ul>\n        </div>\n      </div>\n    </nav>\n  ",
                    styles: ["\n    @import \"https://s3-us-west-2.amazonaws.com/pop.public/css/site.css\";@import \"https://s3-us-west-2.amazonaws.com/pop.public/css/theme-default.css\"\n  "],
                    encapsulation: ViewEncapsulation.None
                },] },
    ];
    /** @nocollapse */
    Pop3MenuComponent.ctorParameters = function () { return [
        { type: Pop3MenuService, },
    ]; };
    return Pop3MenuComponent;
}());
export { Pop3MenuComponent };
//# sourceMappingURL=pop3-menu.component.js.map