import { Directive, HostListener, HostBinding } from '@angular/core';
var Pop3MenuDirective = /** @class */ (function () {
    function Pop3MenuDirective() {
        this.isOpen = false;
    }
    Pop3MenuDirective.prototype.onMouseover = function () {
        this.isOpen = true;
    };
    Pop3MenuDirective.prototype.onMouseout = function () {
        this.isOpen = false;
    };
    Pop3MenuDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[pop3MenuDropdown]'
                },] },
    ];
    /** @nocollapse */
    Pop3MenuDirective.ctorParameters = function () { return []; };
    Pop3MenuDirective.propDecorators = {
        "isOpen": [{ type: HostBinding, args: ['class.open',] },],
        "onMouseover": [{ type: HostListener, args: ['mouseover',] },],
        "onMouseout": [{ type: HostListener, args: ['mouseout',] },],
    };
    return Pop3MenuDirective;
}());
export { Pop3MenuDirective };
//# sourceMappingURL=pop3-menu.directive.js.map