/**
 * pop3-menu-module - Main menu for POP3
 * @version v0.0.6
 * @author Josh Barlow
 * @link https://github.com/PlusOneManagement/POP3-Menu#readme
 * @license MIT
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"), require("@angular/common"), require("@angular/router"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core", "@angular/common", "@angular/router"], factory);
	else if(typeof exports === 'object')
		exports["ticktock"] = factory(require("@angular/core"), require("@angular/common"), require("@angular/router"));
	else
		root["ticktock"] = factory(root["ng"]["core"], root["ng"]["common"], root["ng"]["router"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_16__, __WEBPACK_EXTERNAL_MODULE_17__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 4);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(5));


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(7));


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(9));


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var services_1 = __webpack_require__(1);
exports.Pop3MenuService = services_1.Pop3MenuService;
var directives_1 = __webpack_require__(2);
exports.Pop3MenuDirective = directives_1.Pop3MenuDirective;
var components_1 = __webpack_require__(3);
exports.Pop3MenuComponent = components_1.Pop3MenuComponent;
var pop3_menu_module_1 = __webpack_require__(15);
exports.Pop3MenuModule = pop3_menu_module_1.Pop3MenuModule;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(6));


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * Pop3MenuService class.
 */
var Pop3MenuService = /** @class */ (function () {
    function Pop3MenuService() {
    }
    Pop3MenuService_1 = Pop3MenuService;
    Pop3MenuService.prototype.getMenuList = function () {
        this.populateMenuList();
        return Pop3MenuService_1.menuList;
    };
    Pop3MenuService.prototype.isUserLoggedIn = function () {
        return Pop3MenuService_1.userLoggedIn;
    };
    Pop3MenuService.prototype.populateMenuList = function () {
        Pop3MenuService_1.menuList.push({ path: '/global/', name: 'Global' });
        Pop3MenuService_1.menuList.push({ path: '/admin/', name: 'Admin' });
    };
    Pop3MenuService.menuList = [];
    Pop3MenuService.userLoggedIn = false;
    Pop3MenuService = Pop3MenuService_1 = __decorate([
        core_1.Injectable()
    ], Pop3MenuService);
    return Pop3MenuService;
    var Pop3MenuService_1;
}());
exports.Pop3MenuService = Pop3MenuService;


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(8));


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var Pop3MenuDirective = /** @class */ (function () {
    function Pop3MenuDirective() {
        this.isOpen = false;
    }
    Pop3MenuDirective.prototype.onMouseover = function () {
        this.isOpen = true;
    };
    Pop3MenuDirective.prototype.onMouseout = function () {
        this.isOpen = false;
    };
    __decorate([
        core_1.HostBinding('class.open'),
        __metadata("design:type", Object)
    ], Pop3MenuDirective.prototype, "isOpen", void 0);
    __decorate([
        core_1.HostListener('mouseover'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], Pop3MenuDirective.prototype, "onMouseover", null);
    __decorate([
        core_1.HostListener('mouseout'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], Pop3MenuDirective.prototype, "onMouseout", null);
    Pop3MenuDirective = __decorate([
        core_1.Directive({
            selector: '[pop3MenuDropdown]'
        })
    ], Pop3MenuDirective);
    return Pop3MenuDirective;
}());
exports.Pop3MenuDirective = Pop3MenuDirective;


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(10));


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var services_1 = __webpack_require__(1);
var Pop3MenuComponent = /** @class */ (function () {
    /**
     * Component constructor with injected dependencies.
     * @param pop3MenuService
     */
    function Pop3MenuComponent(pop3MenuService) {
        this.pop3MenuService = pop3MenuService;
    }
    Pop3MenuComponent_1 = Pop3MenuComponent;
    /**
     * Implements onInit event handler.
     */
    Pop3MenuComponent.prototype.ngOnInit = function () {
        Pop3MenuComponent_1.menuList = this.pop3MenuService.getMenuList();
        Pop3MenuComponent_1.userLoggedIn = this.pop3MenuService.isUserLoggedIn();
    };
    Pop3MenuComponent.menuList = [];
    Pop3MenuComponent.userLoggedIn = false;
    Pop3MenuComponent = Pop3MenuComponent_1 = __decorate([
        core_1.Component({
            selector: 'pop3-menu',
            template: __webpack_require__(11),
            styles: [__webpack_require__(12)],
            encapsulation: core_1.ViewEncapsulation.None
        }),
        __metadata("design:paramtypes", [services_1.Pop3MenuService])
    ], Pop3MenuComponent);
    return Pop3MenuComponent;
    var Pop3MenuComponent_1;
}());
exports.Pop3MenuComponent = Pop3MenuComponent;


/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports = "<nav class=\"navbar navbar-default\">\n  <div class=\"container-fluid\">\n\n    <div class=\"navbar-header\">\n      <a href=\"/public/\" onclick=\"window.location.reload()\">POP</a>\n    </div>\n\n    <div class=\"collapse navbar-collapse\">\n      <ul class=\"nav navbar-nav\">\n        <!--\n          Entry Date: 20171218\n          There is a bug when using NgIf and NgFor on modules using ng-packagr\n          ERROR Error: StaticInjectorError[ViewContainerRef]\n          https://github.com/dherges/ng-packagr/issues/304\n        -->\n        <!--<li *ngFor=\"let menu of menuList\" routerLinkActive=\"active\" class=\"ptCursor1\">-->\n          <!--<a [href]=\"menu.path\" [textContent]=\"menu.name\" onclick=\"window.location.reload()\"></a>-->\n        <!--</li>-->\n        <li routerLinkActive=\"active\" class=\"ptCursor1\">\n          <a href=\"/global/\" onclick=\"window.location.reload()\">Global</a>\n        </li>\n        <li routerLinkActive=\"active\" class=\"ptCursor1\">\n          <a href=\"/admin/\" onclick=\"window.location.reload()\">Admin</a>\n        </li>\n      </ul>\n      <ul class=\"nav navbar-nav navbar-right\">\n        <li class=\"dropdown ptCursor1\" pop3MenuDropdown>\n          <a class=\"dropdown-toggle\" role=\"button\">User <span class=\"caret\"></span></a>\n          <!--\n            Entry Date: 20171218\n            There is a bug when using NgIf and NgFor on modules using ng-packagr\n            ERROR Error: StaticInjectorError[ViewContainerRef]\n            https://github.com/dherges/ng-packagr/issues/304\n          -->\n          <!--<ul *ngIf=\"!userLoggedIn\" class=\"dropdown-menu\">-->\n          <ul class=\"dropdown-menu\">\n            <li routerLinkActive=\"active\"><a href=\"/user/login/\" onclick=\"window.location.reload()\">Log In</a></li>\n            <li routerLinkActive=\"active\"><a href=\"/user/register/\" onclick=\"window.location.reload()\">Register</a></li>\n          <!--</ul>-->\n          <!--<ul *ngIf=\"userLoggedIn\" class=\"dropdown-menu\">-->\n            <li routerLinkActive=\"active\"><a href=\"/user/logout/\" onclick=\"window.location.reload()\">Log Out</a></li>\n            <li routerLinkActive=\"active\"><a href=\"/user/profile/\" onclick=\"window.location.reload()\">Profile</a></li>\n          </ul>\n        </li>\n      </ul>\n    </div>\n  </div>\n</nav>\n"

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {


        var result = __webpack_require__(13);

        if (typeof result === "string") {
            module.exports = result;
        } else {
            module.exports = result.toString();
        }
    

/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(14)(undefined);
// imports
exports.push([module.i, "@import url(https://s3-us-west-2.amazonaws.com/pop.public/css/site.css);", ""]);
exports.push([module.i, "@import url(https://s3-us-west-2.amazonaws.com/pop.public/css/theme-default.css);", ""]);

// module
exports.push([module.i, "\n", ""]);

// exports


/***/ }),
/* 14 */
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var common_1 = __webpack_require__(16);
var router_1 = __webpack_require__(17);
var components_1 = __webpack_require__(3);
var services_1 = __webpack_require__(1);
var directives_1 = __webpack_require__(2);
var Pop3MenuModule = /** @class */ (function () {
    function Pop3MenuModule() {
    }
    Pop3MenuModule = __decorate([
        core_1.NgModule({
            providers: [
                router_1.RouterModule,
                services_1.Pop3MenuService
            ],
            declarations: [
                components_1.Pop3MenuComponent,
                directives_1.Pop3MenuDirective
            ],
            imports: [
                common_1.CommonModule
            ],
            exports: [
                components_1.Pop3MenuComponent,
            ]
        })
    ], Pop3MenuModule);
    return Pop3MenuModule;
}());
exports.Pop3MenuModule = Pop3MenuModule;


/***/ }),
/* 16 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_16__;

/***/ }),
/* 17 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_17__;

/***/ })
/******/ ]);
});
//# sourceMappingURL=index.umd.js.map